/*
File:		$RCSfile$
Version:	$Revision$
Modified By:	$Author$
Last Modified:	$Date$
*/

/*
FILENAME...	motordevCom.h

USAGE...	This file contains definitions and structures that
		are common to all motor record device support modules.
*/

#ifndef	INCmotordevCom
#define	INCmotordevCom 1

#include "motor.h"
#include "motordrvCom.h"

#define IDLE_STATE 0
#define BUILD_STATE 1
#define YES 1
#define NO 0

#define SEM_TIMEOUT  50

/* Axis status. */
struct axis_stat
{
    char name;
    BOOLEAN in_use;
};

/* Controller board status. */
struct board_stat
{
    int exists;
    char *name;
    int total_axis;
    struct axis_stat *axis_stat;
};

/* the device private data structure of the record */
struct motor_trans
{
    int state;
    FAST_LOCK lock;
    struct mess_node motor_call;
    int callback_changed;
    int motor_pos;
    int encoder_pos;
    int vel;
    unsigned long status;
    SEM_ID initSem;
    struct driver_table *tabptr;
    double offset;	/* For controllers that cannot process a LOAD_POS
			 * commmand; i.e., MM4000. */
    BOOLEAN dpm;	/* For OMS VME58 only, drive power monitoring. */
};

extern long motor_update_values(struct motorRecord *);
extern long motor_init_com(int, int, struct driver_table *,
			   struct board_stat ***);
extern long motor_init_record_com(struct motorRecord *, int,
			    struct driver_table *, struct board_stat *[]);
extern long motor_start_trans_com(struct motorRecord *, struct board_stat *[],
				const char *);
extern long motor_end_trans_com(struct motorRecord *, struct driver_table *);

#endif	/* INCmotordevComh */
